<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования раздела информационных систем.
 * 
 * Файл: /admin/InformationSystems/action/add_information_systems_dir.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
 
$InformationSystem = & singleton('InformationSystem');

$param = array();

// Редактирование раздела информационных систем
if (isset($_REQUEST['information_systems_dir_id']))
{
	$param['information_systems_dir_id'] =  to_int($_REQUEST['information_systems_dir_id']);
}

$param['information_systems_dir_parent_id'] = to_int($_REQUEST['current_information_systems_dir_id']);
$param['information_systems_dir_name'] = to_str($_REQUEST['information_systems_dir_name']); 
$param['information_systems_dir_description'] = to_str($_REQUEST['information_systems_dir_description']);
$param['site_id'] = CURRENT_SITE;		

if ($insert_information_systems_dir_id = $InformationSystem->InsertInformationSystemsDir($param))
{
	// Добавим скрытое поле к форме с ID созданного элемента
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddInformationSystemsDir', 'information_systems_dir_id', '<?php echo $insert_information_systems_dir_id?>');
	</script><?php

	// Редактирование информационной системы
	if (isset($_REQUEST['information_systems_dir_id']))
	{
		show_message($GLOBALS['MSG_information_systems']['edit_information_systems_dir_success']);
	}
	else
	{
		show_message($GLOBALS['MSG_information_systems']['add_information_systems_dir_success']);
	}
}
else
{
	show_error_message($GLOBALS['MSG_information_systems']['error_add_edit_information_systems_dir']);
}

?>